Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7495 - Kickstart, crash due to package comp name typos, doco bug
Summary: Kickstart, crash due to package comp name typos, doco bug
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-01 20:56 UTC by nickg
Modified: 2015-01-07 23:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-02 15:41:55 UTC


Attachments (Terms of Use)

Description nickg 1999-12-01 20:56:55 UTC
Hi,

Any typo in the component name in the %packages sections causes  anaconda
to die in line 170 of comps.py (hash miss).

In particular, as documented on page 265 of the reference guide, one should
be able to have

%packages
@ Workstation

in the kickstart file.  Comp "Workstation" and "Server" no longer exist in
the RedHat/base/comps file, thus causing a crash.

While we are at it, it would be nice to have a comp "Everything".

thanks,

--nickg

Comment 1 Jay Turner 1999-12-02 15:41:59 UTC
This is a known bug in kickstart that we are hoping to get into the next errata
fix.  As for the "Everything" component, you can hopefully look forward to
seeing that in the next release.

Comment 2 nickg 1999-12-02 17:02:59 UTC
Hi,

thanks for the quick response.  After looking at the python source, component
"Everything" exists but it's not documented.  I just did a

%packages
@ Everything

and it works.  You just need to document it!

take care,

--nickg


Note You need to log in before you can comment on or make changes to this bug.